Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

problem in cloudkitty installation in juno release

I try to install cloudkitty manually step by step from : http://docs.openstack.org/developer/cloudkitty/installation.html

The OS is centos and juno release of openstack. I got this error after run command:

     # cloudkitty-dbsync upgrade
         Traceback (most recent call last):
            File "/usr/bin/cloudkitty-dbsync", line 6, in <module>
                from cloudkitty.cli.dbsync import main
            File "/usr/lib/python2.7/site-packages/cloudkitty/cli/dbsync.py", line 21, in <module>
                from cloudkitty import config  # noqa
            File "/usr/lib/python2.7/site-packages/cloudkitty/config.py", line 19, in <module>
                from oslo_db import options as db_options  # noqa
         ImportError: No module named oslo_db

What is the problem and it's solution? If I use virtualenv what version of oslo library I have to use? How can I do it?

the output of yolk -l :

         oslo.config 3.2.0 has no metadata 
         oslo.context 1.0.0 has no metadata 
         oslo.i18n 3.1.0 has no metadata 
         oslo.messaging  - 1.4.1        - active  
         oslo.rootwrap   - 1.3.0         - active  
         oslo.serialization - 0.3.0        - active  
         oslo.utils      - 1.0.0        - active  
         oslo.vmware     - 0.7.0        - active

Thanks.

problem in cloudkitty installation in juno release

I try to install cloudkitty manually step by step from : http://docs.openstack.org/developer/cloudkitty/installation.html

The OS is centos and juno release of openstack. I got this error after run command:

     # cloudkitty-dbsync upgrade
         Traceback (most recent call last):
            File "/usr/bin/cloudkitty-dbsync", line 6, in <module>
                from cloudkitty.cli.dbsync import main
            File "/usr/lib/python2.7/site-packages/cloudkitty/cli/dbsync.py", line 21, in <module>
                from cloudkitty import config  # noqa
            File "/usr/lib/python2.7/site-packages/cloudkitty/config.py", line 19, in <module>
                from oslo_db import options as db_options  # noqa
         ImportError: No module named oslo_db

What is the problem and it's solution? If I use virtualenv what version of oslo library I have to use? How can I do it?

the output of yolk -l :

         oslo.config 3.2.0 has no metadata 
         oslo.context 1.0.0 has no metadata 
         oslo.i18n 3.1.0 has no metadata 
         oslo.messaging  - 1.4.1        - active  
         oslo.rootwrap   - 1.3.0         - active  
         oslo.serialization - 0.3.0        - active  
         oslo.utils      - 1.0.0        - active  
         oslo.vmware     - 0.7.0        - active

Thanks.

problem in cloudkitty installation in juno release

I try to install cloudkitty manually step by step from : http://docs.openstack.org/developer/cloudkitty/installation.html

The OS is centos and juno release of openstack. I got this error after run command: commands:

     # cloudkitty-dbsync upgrade
         cloudkitty-api --config-file /etc/cloudkitty/cloudkitty.conf

       2016-01-10 10:25:29.002 29565 CRITICAL cloudkitty [-] ConfigFilesNotFoundError: Failed to find   some config files: api_paste.ini
       2016-01-10 10:25:29.002 29565 ERROR cloudkitty Traceback (most recent call last):
        2016-01-10 10:25:29.002 29565 ERROR cloudkitty   File "/usr/bin/cloudkitty-dbsync", "/usr/bin/cloudkitty-api", line 6, 10, in <module>
                from cloudkitty.cli.dbsync import 2016-01-10 10:25:29.002 29565 ERROR cloudkitty     sys.exit(main())
       2016-01-10 10:25:29.002 29565 ERROR cloudkitty   File "/usr/lib/python2.7/site-packages/cloudkitty/cli/api.py", line 26, in main
        2016-01-10 10:25:29.002 29565 ERROR cloudkitty     server = app.build_server()
       2016-01-10 10:25:29.002 29565 ERROR cloudkitty   File "/usr/lib/python2.7/site-packages/cloudkitty/cli/dbsync.py", "/usr/lib/python2.7/site-packages/cloudkitty/api/app.py", line 21, in <module>
                from cloudkitty import 131, in build_server
      2016-01-10 10:25:29.002 29565 ERROR cloudkitty     app = load_app()
      2016-01-10 10:25:29.002 29565 ERROR cloudkitty   File "/usr/lib/python2.7/site-packages/cloudkitty/api/app.py", line 108, in load_app
      2016-01-10 10:25:29.002 29565 ERROR cloudkitty     raise cfg.ConfigFilesNotFoundError([cfg.CONF.api_paste_config])
      2016-01-10 10:25:29.002 29565 ERROR cloudkitty ConfigFilesNotFoundError: Failed to find some config  # noqa
            File "/usr/lib/python2.7/site-packages/cloudkitty/config.py", line 19, in <module>
                from oslo_db import options as db_options  # noqa
         ImportError: No module named oslo_db
files: api_paste.ini
      2016-01-10 10:25:29.002 29565 ERROR cloudkitty

What is the problem and it's solution? If I use virtualenv what version of oslo library I have to use? How can I do it?Please guide me.

the output of yolk -l :

         oslo.config 3.2.0 has no metadata 
         oslo.context 1.0.0 has no metadata 
         oslo.i18n 3.1.0 has no metadata 
         oslo.messaging  - 1.4.1        - active  
         oslo.rootwrap   - 1.3.0         - active  
         oslo.serialization - 0.3.0        - active  
         oslo.utils      - 1.0.0        - active  
         oslo.vmware     - 0.7.0        - active

Thanks.